package com.jenny.advancedarrows.config;

import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.fml.common.Mod;

import static com.jenny.advancedarrows.advancedArrows.MODID;

@Mod.EventBusSubscriber(modid = MODID, bus = Mod.EventBusSubscriber.Bus.MOD)
public class ConfigClient {
    private static final ForgeConfigSpec.Builder BUILDER = new ForgeConfigSpec.Builder();
    public static final ForgeConfigSpec SPEC;

    public static final ForgeConfigSpec.ConfigValue<Double> C_PARTICLE_PERCENT;

    static {
        C_PARTICLE_PERCENT =
                BUILDER.comment("amount of particles to spawn (0.0 = None, 1.0 = normal, values higher are valid too)")
                        .define("arrowParticleCount", 1.0D);

        SPEC = BUILDER.build();
    }

    public static int calcPCount(int pCount) {
        return (int) Math.round(pCount * C_PARTICLE_PERCENT.get());
    }
}
