package com.jenny.advancedarrows.entities;

import com.jenny.advancedarrows.config.ConfigClient;
import com.jenny.advancedarrows.items.items;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.Item;
import net.minecraft.world.level.Level;
import net.minecraft.world.phys.Vec3;

public class sharpenedArrow extends baseArrow{
    static final Item item = items.ARROW_SHARPENED.get();

    public sharpenedArrow(EntityType<sharpenedArrow> pEntityType, Level pLevel) {
        super(pEntityType, pLevel, item);
    }

    public sharpenedArrow(Level pLevel, LivingEntity pShooter) {
        super(pLevel, pShooter, entities.ARROW_SHARPENED.get(), item);
        setBaseDamage(3);
    }

    @Override
    public void spawnParticles() {
        for (int i = 1; i <= ConfigClient.calcPCount(5); i++) {
            Vec3 pos = createParticlePos(1f);
            level().addParticle(ParticleTypes.END_ROD, pos.x, pos.y, pos.z, 0, 0, 0);
        }
    }
}
